using System;
using System.Net;


namespace Core.KCPTool
{

    public interface IServerConnection: IDisposable
    {

        public bool isConnected { get; set; }
        public int connectionID { get; set; }
        public long playerId { get; set; }
        public IPEndPoint EndPoint { get; set; }
        public int SendData(byte[] data, int dataSize);
        public void Update();

        public void ReceiveAsync();
        public int Input(byte[] data);
        
    }
}